INSERT INTO tblCustomQueryParameters 
VALUES ('Organizational Unit', 'Canonical Name',
'Declare @UserSupplied nvarchar(max) Select CanonicalName from tblDomainOU where CanonicalName like @UserSupplied');

GO

INSERT INTO tblCustomQueryParameters 
VALUES ('Group', 'Group Scope',
'DECLARE @UserSupplied nvarchar(128) 

SELECT DISTINCT 
	[Group Scope] = 
	CASE [tblDomainGroup].[GroupScope] 
		WHEN N''B'' THEN N''Builtin local'' 
		WHEN N''D'' THEN N''Global'' 
		WHEN N''DL'' THEN N''Domain local'' 
		WHEN N''L'' THEN N''Local''	
		WHEN N''U'' THEN N''Universal'' 
		WHEN N''SQL'' THEN N''SQL Login'' 
		WHEN N''W'' THEN N''Well Known'' 
		WHEN N''X'' THEN N''Unknown'' 
	ELSE [tblDomainGroup].[GroupScope] 
	END
	FROM
		[tblDomainGroup]
	WHERE
		[tblDomainGroup].[GroupScope] LIKE @UserSupplied');


GO